Bug 1281250 - [RFE] Add a man page, or --help message
[RFE] Add a man page, or --help message
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: auto-buildrequires (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 02:12 EST by Andrew Toskin
Modified: 2016-01-17 13:51 EST (History)
1 user (show)

See Also:
Fixed In Version: auto-buildrequires-1.2-1.fc23 auto-buildrequires-1.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 12:52:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Toskin 2015-11-12 02:12:01 EST
I discovered your package auto-buildrequires while reading about RPM spec files in the Fedora wiki. Including some documentation, either as a man page or commandline `--help` message, would be helpful. Currently, as far as I can tell, auto-buildrequires only duplicates the `rpmbuild --help` message, which doesn't help for learning specifically about the buildrequires script. And the usage notes at your Red Hat People page, and in the git repo's README file, are a little sparse. For example, I can't figure out the difference between `auto-br-rpmbuild` and `auto-br`.

Thanks.
Comment 1 Richard W.M. Jones 2015-11-13 06:06:55 EST
This has now been added to the upstream autobuildrequires 1.2.

Build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11817672

Build for F23:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11817705
Comment 2 Fedora Update System 2015-11-13 06:15:46 EST
auto-buildrequires-1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6aa97dbe73
Comment 3 Fedora Update System 2015-11-13 06:25:27 EST
auto-buildrequires-1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f1319234d
Comment 4 Fedora Update System 2015-11-13 22:22:03 EST
auto-buildrequires-1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update auto-buildrequires'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f1319234d
Comment 5 Fedora Update System 2015-11-13 23:53:20 EST
auto-buildrequires-1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update auto-buildrequires'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6aa97dbe73
Comment 6 Fedora Update System 2016-01-17 12:52:39 EST
auto-buildrequires-1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-17 13:51:50 EST
auto-buildrequires-1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.